Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 736992 - dev-qt/qtwebkit-5.212.0_pre20200309-r1: failed to compile
Summary: dev-qt/qtwebkit-5.212.0_pre20200309-r1: failed to compile
Status: RESOLVED DUPLICATE of bug 736499
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-13 16:35 UTC by Jean-Claude Aciman
Modified: 2020-08-18 13:49 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
all requested files (qtwebkit.7z,219.16 KB, application/x-7z-compressed)
2020-08-13 16:35 UTC, Jean-Claude Aciman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Claude Aciman 2020-08-13 16:35:02 UTC
Created attachment 654472 [details]
all requested files

* ERROR: dev-qt/qtwebkit-5.212.0_pre20200309-r1::gentoo failed (compile phase):
 *   ninja -v -j3 -l0 failed

emerge --info =dev-qt/qtwebkit-5.212.0_pre20200309-r1

is in the attachment
Comment 1 Jean-Claude Aciman 2020-08-14 06:08:39 UTC
this package is needed to emerge the package "TeamViewer"
Comment 2 Hank Leininger 2020-08-15 23:40:07 UTC
This fails for me too if sys-devel/bison is >=3.7. With bison-3.6.4, dev-qt/qtwebkit builds fine.

There is a tracker for things broken by bison-3.7: https://bugs.gentoo.org/737026

I believe this bug should be added there, but I do not think I have the necessary bugzilla privs to make that change myself.
Comment 3 Jean-Claude Aciman 2020-08-16 11:47:33 UTC
Thank you to Hans Leininger,

I discovered that sys-devel/bison-3.7 is installed on my gentoo system (I do not know by what it has been installed).

I downgraded sys-devel/bison from 3.7 to 3.6.4 and I could compile successfully dev-qt/qtwekbit. This is fine.

I think that dev-qt/qtwebit has to be added to the list of things broken by sys-devel/bison-3.7.

The problem is solved for me.
Comment 4 Andreas Sturmlechner gentoo-dev 2020-08-18 13:49:35 UTC
Please do not change the status of this bug again.

*** This bug has been marked as a duplicate of bug 736499 ***